> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Baixar arquivo

> Este endpoint permite baixar o arquivo llms.txt gerado.

## GET /file/{siteId}/download

Este endpoint permite baixar o arquivo `llms.txt` de um site. Define o cabeçalho `Content-Disposition` para iniciar o download no navegador. É público e não exige autenticação.

### Parâmetros de caminho

<ParamField path="siteId" type="string" required>
  ID do site.
</ParamField>

### Parâmetros de consulta

<ParamField query="full" type="boolean" default="false">
  Se `true`, baixa a versão com o texto completo de cada página.
</ParamField>

### Resposta

A resposta é o arquivo `llms.txt` com os cabeçalhos apropriados:

* Content-Type: `text/plain; charset=utf-8`
* Content-Disposition: `attachment; filename="{hostname}-llms.txt"`
* Cache-Control: `public, max-age=300`

O nome do arquivo é gerado com base no hostname do site (ex.: `example-com-llms.txt` ou `example-com-llms-full.txt` na versão com texto completo).

<RequestExample>
  ```bash cURL (padrão) theme={null}
  curl -X GET https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000/download \
    -o llms.txt
  ```

  ```bash cURL (texto completo) theme={null}
  curl -X GET "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000/download?full=true" \
    -o llms-full.txt
  ```

  ```javascript JavaScript theme={null}
  // Iniciar download no navegador
  const downloadUrl = 'https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000/download';
  window.location.href = downloadUrl;
  ```
</RequestExample>
